# "telepathy_qt" name is occupied by earlier work under the same name from different project;
# we used original "telepathy-qt4" name of this project (used before 0.9.0 release) until 0.9.7
# (the last version with qt4 support), then we moved to "telepathy-qt5".
%define		orgname	telepathy-qt
%define		qt5_ver		5.6.0

Summary:	Library for Qt5-based Telepathy clients
Summary(pl.UTF-8):	Biblioteka dla klientów Telepathy opartych na Qt5
Name:		telepathy-qt5
Version:	0.9.8
Release:	3
License:	LGPL v2.1+
Group:		Libraries
Source0:	https://telepathy.freedesktop.org/releases/telepathy-qt/%{orgname}-%{version}.tar.gz
# Source0-md5:	2d55d477778ff7be9115746759bc398f
Patch0:		telepathy-qt-warnings.patch
URL:		https://telepathy.freedesktop.org/components/telepathy-qt/
BuildRequires:	Qt5Core-devel >= %{qt5_ver}
BuildRequires:	Qt5DBus-devel >= %{qt5_ver}
BuildRequires:	Qt5Network-devel >= %{qt5_ver}
BuildRequires:	Qt5Test-devel >= %{qt5_ver}
BuildRequires:	Qt5Xml-devel >= %{qt5_ver}
BuildRequires:	cmake >= 3.5
BuildRequires:	dbus-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	farstream-devel >= 0.2.0
BuildRequires:	glib2-devel >= 1:2.16
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	pkgconfig
BuildRequires:	python3-dbus
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-pygobject3
BuildRequires:	qt5-assistant >= %{qt5_ver}
BuildRequires:	qt5-build >= %{qt5_ver}
BuildRequires:	qt5-qmake >= %{qt5_ver}
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.293
BuildRequires:	telepathy-farstream-devel >= 0.6.0
BuildRequires:	telepathy-glib-devel >= 0.18.0
Requires:	Qt5Core >= %{qt5_ver}
Requires:	Qt5DBus >= %{qt5_ver}
Requires:	Qt5Network >= %{qt5_ver}
Requires:	Qt5Xml >= %{qt5_ver}
Requires:	telepathy-farstream >= 0.6.0
Requires:	telepathy-glib >= 0.18.0
Obsoletes:	telepathy-qt4-yell
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library for Qt5-based Telepathy clients.

%description -l pl.UTF-8
Biblioteka dla klientów Telepathy opartych na Qt5.

%package devel
Summary:	Header files for telepathy-qt5 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki telepathy-qt5
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	Qt5Core-devel >= %{qt5_ver}
Requires:	Qt5DBus-devel >= %{qt5_ver}
Requires:	Qt5Network-devel >= %{qt5_ver}
Requires:	Qt5Xml-devel >= %{qt5_ver}

%description devel
Header files for telepathy-qt5 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki telepathy-qt5.

%package apidocs
Summary:	API documentation for telepathy-qt4 and telepathy-qt5 libraries
Summary(pl.UTF-8):	Dokumentacja API bibliotek telepathy-qt5 i telepathy-qt5
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for telepathy-qt4 and telepathy-qt5 libraries.

%description apidocs -l pl.UTF-8
Dokumentacja API bibliotek telepathy-qt5 i telepathy-qt5.

%prep
%setup -q -n %{orgname}-%{version}
%patch0 -p1

%build
install -d build-qt5
cd build-qt5
%cmake .. \
	-DENABLE_FARSTREAM:BOOL=ON \
	-DDESIRED_QT_VERSION=5 \
	-DQT_QMAKE_EXECUTABLE_FINDQT=%{_libdir}/qt5/bin/qmake

%{__make}
cd ..

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build-qt5 install \
        DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libtelepathy-qt5.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtelepathy-qt5.so.0
%attr(755,root,root) %{_libdir}/libtelepathy-qt5-farstream.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtelepathy-qt5-farstream.so.0
%attr(755,root,root) %{_libdir}/libtelepathy-qt5-service.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtelepathy-qt5-service.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtelepathy-qt5.so
%attr(755,root,root) %{_libdir}/libtelepathy-qt5-farstream.so
%attr(755,root,root) %{_libdir}/libtelepathy-qt5-service.so
%{_libdir}/cmake/TelepathyQt5
%{_libdir}/cmake/TelepathyQt5Farstream
%{_libdir}/cmake/TelepathyQt5Service
%{_includedir}/telepathy-qt5
%{_pkgconfigdir}/TelepathyQt5.pc
%{_pkgconfigdir}/TelepathyQt5Farstream.pc
%{_pkgconfigdir}/TelepathyQt5Service.pc

%files apidocs
%defattr(644,root,root,755)
%doc doc/html/*
%changelog
* Sat Nov 20 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/telepathy-qt5.git;a=log;h=master

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 27de84e
- rebuild with separate debuginfo build-ids

* Sat Feb 27 2021 Jakub Bogusz <qboosh@pld-linux.org> 3060aae
- release 2

* Sat Feb 27 2021 Jakub Bogusz <qboosh@pld-linux.org> 462af74
- cleanup

* Sat Feb 27 2021 Jakub Bogusz <qboosh@pld-linux.org> 5660c64
- unconditional noarch subpackage

* Sat Feb 27 2021 Jakub Bogusz <qboosh@pld-linux.org> 97f5db0
- copied from telepathy-qt4, version 0.9.8 is qt5-only
- spec cleaned up for qt5 only, removed outdated qt4,link patches

* Sat Feb 20 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 7b49474
- updated to 0.9.8
- switched off bcond qt4. I'm afraid qt4 version is not compilable

* Wed Jun 22 2016 Jakub Bogusz <qboosh@pld-linux.org> c8f9302
- updated to 0.9.7
- updated warnings patch
- added qt4 patch (disable one qt5-specific test when building for qt4)
- added link patch (fix libtelepathy-qt?-service linking)

* Thu Jul 02 2015 Elan Ruusamäe <glen@delfi.ee> 142de4f
- noarch apidocs

* Fri May 29 2015 Jakub Bogusz <qboosh@pld-linux.org> aecbea1
- updated to 0.9.6.1
- added warnings patch (avoid warnings as -Werror is used)

* Mon May 04 2015 Jan Rękorajski <baggins@pld-linux.org> a4c49aa
- fix Qt version selection at build time
- rel 2

* Sat Sep 20 2014 Jakub Bogusz <qboosh@pld-linux.org> 96bc7e8
- updated to 0.9.5
- removed obsolete build patch

* Sun Jun 15 2014 Jakub Bogusz <qboosh@pld-linux.org> cac18b2
- updated to 0.9.4
- added telepathy-qt5 libraries

* Sun Oct 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 78f577f
- rel 4; fix build with new farstream

* Sat Sep 08 2012 Jakub Bogusz <qboosh@pld-linux.org> bcc96c2
- already includes telepathy-qt4-yell functionality, so Obsolete it

* Fri Sep 07 2012 Jakub Bogusz <qboosh@pld-linux.org> bfe5cf2
- completed dependencies
- real summary, pl

* Tue Aug 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 34c867e
- rel 3; include farstream

* Tue Aug 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0f75cb2
- re; 2; pass explict qmake path

* Tue Aug 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> f448456
- force qtdir

* Sat Jul 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 1865d69
- up to 0.9.3

* Sat Jul 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 1f9778f
- up to 0.8.0

